Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.model
Class NodesTreeSequenceKeyModel<V>

    java.lang.Object
      javax.faces.model.DataModel<E>
          org.ajax4jsf.model.ExtendedDataModel<V>
              org.richfaces.model.TreeSequenceKeyModel<V>
                  org.richfaces.model.NodesTreeSequenceKeyModel<V>

All Implemented Interfaces:
  java.lang.Iterable<V>, org.richfaces.model.TreeDataModel<V>

Direct Known Subclasses:
  ClassicTreeNodeDataModelImpl, SwingTreeNodeDataModelImpl

    public abstract class NodesTreeSequenceKeyModel<V>

extends TreeSequenceKeyModel<V>

Author:
  Nick Belaevski

Field Summary

Fields inherited from interface org.richfaces.model.TreeDataModel
`SEPARATOR_CHAR`

Constructor Summary
`NodesTreeSequenceKeyModel()`

Method Summary
`org.richfaces.model.TreeDataModelTuple` | `createSnapshot()`
`protected V` | `getRootNode()`
`void` | `restoreFromSnapshot(org.richfaces.model.TreeDataModelTuple tuple)`
`protected void` | `setRootNode(V rootNode)`
`protected abstract V` | `setupChildContext(java.lang.Object segment)`
`protected void` | `setupKey(SequenceRowKey key)`

Methods inherited from class org.richfaces.model.TreeSequenceKeyModel
`getData, getParentRowKey, getRowCount, getRowData, getRowIndex, getRowKey, isDataAvailable, isRowAvailable, setData, setRowIndex, setRowKey, setRowKeyAndData, walk`

Methods inherited from class javax.faces.model.DataModel
`addDataModelListener, getDataModelListeners, getWrappedData, iterator, removeDataModelListener, setWrappedData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.model.TreeDataModel
`children, getRowKeyConverter, getWrappedData, isLeaf, setWrappedData`

Constructor Detail

### NodesTreeSequenceKeyModel

    public NodesTreeSequenceKeyModel()

Method Detail

### getRootNode

    protected V getRootNode()

### setRootNode

    protected void setRootNode(V rootNode)

### setupKey

    protected void setupKey(SequenceRowKey key)

  Specified by:
    `setupKey` in class `TreeSequenceKeyModel<V>`

### setupChildContext

    protected abstract V setupChildContext(java.lang.Object segment)

### createSnapshot

    public org.richfaces.model.TreeDataModelTuple createSnapshot()

### restoreFromSnapshot

    public void restoreFromSnapshot(org.richfaces.model.TreeDataModelTuple tuple)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.